QGIS Application - Bug report #3024
checkbox edit widget not working + widgets buttons not rendered correctly
2010-09-19 04:32 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 13084
Description

I'm not a OsX user, but a colleague using Leopard shown me that the "Calendar" and "File name" edit widgets are not working. In the table
of attribute cells it seems to appear some kind of button, but clicking on it doesn't produce any effect.

The package used to install qgis was

http://www.kyngchaos.com/files/software/unixport/Qgis-1.5.0-2-Leopard.dmg

with all the necessary frameworks.

History

#1 - 2010-09-20 01:33 PM - William Kyngesburye

Calendar? File name?

Some button?

Sorry, all pretty vague.

#2 - 2010-09-20 01:53 PM - Giovanni Manghi

Hi,

I'm referring to "edit widgets" in the vector properties (attributes tab) and how this widgets render and (don't) work when editing in the table of attributes.

Under both linux and windows when you double click the table cell i show a "button" like the ones that are used to browse files in web forms. In the case of

the "calendar" widget it opens a window that leave the user choose easily and quick a date.

#3 - 2010-09-22 08:03 AM - zealmeida -

I’'m the colleague mentioned above and I'm new to GIS applications, so | apologize in advance for any imprecision in my writing (as in my english...)

It seems to be a problem with the row height. When opening the Attribute table window, if some column as a widget like ‘calendar’, size when | double clic

in toggle editing mode to edit, with the standard cell size | can only see a non editable small blank line. If | extend the row height (extending the column

width makes no difference) then the ...’ button is visible and | can access the calendar window to choose a date as field contents. It happens the same with

the “file name’ widget.
http://www.kyngchaos.com/files/software/unixport/Qgis-1.5.0-2-Leopard.dmg

Some screenshots in the attachment (hopefully) will illustrate this.

#4 - 2010-09-22 08:25 AM - William Kyngesburye

My guess is that it's because Ul controls (especially buttons) and font sizes are generally a little larger on OS X than other systems. Qgis would have to

force a smaller button size here instead of using the system defaults. There are a couple different "standard" sizes in the system, though | know very little

about the programming side of Qgis.

#5 - 2010-09-24 12:43 PM - Giovanni Manghi

So... it is now (again) more clear to me after a "live" test. The "file name" and the "calendar" widgets do work, while the buttons in the table of contents are

rendered in a way that force the user to resize vertically each row in order to see a clickable button.

Meanwhile we discovered that the "checkbox" button, aside the same problem above described, does really not work.

#6 - 2010-09-28 04:45 PM - William Kyngesburye

Replying to [comment:5 lutra]:

Meanwhile we discovered that the "checkbox" button, aside the same problem above described, does really not work.

How does it not work? So far, | tried setting a field to the checkbox type, and | do get broken behavior: it doesn't save checked/unchecked state values in

the configuration, and no checkbox shows up in the table, no matter how tall | make the row. Is this what you mean?

#7 - 2010-09-29 01:22 AM - Giovanni Manghi

How does it not work? So far, | tried setting a field to the checkbox type, and | do get broken behavior: it doesn't save checked/unchecked state

values in the configuration, and no checkbox shows up in the table, no matter how tall | make the row. Is this what you mean?

In the system | tested the checkbox show in the table cell (but you still need to resize vertically the row to see it fine) but then clicking on it does not produce

any effect, the checkbox remains unchecked.

#8 - 2010-09-30 04:17 AM - zealmeida -

Hi

| added a small screencast that may help to understand the problem. When using the attribute table window, a double clic to edit opens the checkbox but

doesn’t allow to check, so the value in the field is always the unchecked one. When creating a new object (in this example a polygon) I'm able to check it,

but again in the attribute table window | can make no changes.

#9 - 2011-03-06 08:17 AM - William Kyngesburye

The Mac Qgis 1.5 and 1.6 used Qit 1.6. As noted above, calendar works only if the row is resized to be a couple times larger than default (it looks like the

widget has a large buffer), and checkbox displays but does nothing at all.
With Qt 4.7 in QGis trunk, at least the calendar and other widgets display without resizing. But now the calendar widget does nothing. That brings the list

to calendar, filename and checkbox not working at all.

#10 - 2011-12-16 01:55 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Veersion 1.7.4

#11 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0
- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#12 - 2012-09-04 12:02 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#13 - 2014-06-20 03:07 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Open to Closed

- Pull Request or Patch supplied set to No

I don't have a Mac to test and a long time has passed, | can just assume that this is not a issue anymore.

Files

widget.jpg
QGis_checkbox.zip
